import { Request, Response, NextFunction } from "express";
import { client as bot } from "@bot/bot";
import { getLogger } from "@server/../log";

const logger = getLogger(__filename);

// Todo: update this comment as a jsdoc
// The purpose of this middleware is to attach an object containing cached
// Discord servers to the response, which is accessible in the DOM.
// This is primarily used for rendering servers on the sidebar.
export const attachGuilds = (_request: Request, response: Response, next: NextFunction) => {
    logger.debug(`Attaching ${bot.guilds.cache.size} cached guilds to the response locals`);
    response.locals.guilds = bot.guilds.cache.map(guild => guild);
    next();
}